%define oname	FlightCrew

%define api	0.7.2
%define libname	%mklibname %{name} %{api}
%define devname	%mklibname %{name} -d

Name:		flightcrew
Version:	0.9.0
Release:	%mkrel 23
Summary:	A C++, cross-platform, native code epub validator
License:	GPLv3 and LGPLv3
Group:		Office/Utilities
Url:		https://github.com/Sigil-Ebook/flightcrew
Source0:	https://github.com/Sigil-Ebook/flightcrew/archive/%{version}/%{oname}-%{version}.tar.gz
Patch0:		flightcrew-0.9.0-CMakeLists.patch
Patch1:		flightcrew-0.9.0-fix-build-against-qt-5.11.0.patch
Patch2:		flightcrew-0.9.0-CVE-2019-13241-part1.patch
Patch3:		flightcrew-0.9.0-CVE-2019-13241-part2.patch
Patch4:		flightcrew-0.9.0-CVE-2019-13241-part3.patch
Patch5:		flightcrew-0.9.0-CVE-2019-13032-part1.patch
Patch6:		flightcrew-0.9.0-CVE-2019-13032-part2.patch
Patch7:		flightcrew-0.9.0-boost-scoped_ptr.patch
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(xerces-c)

%description
FlightCrew is a C++, cross-platform, native code epub validator.
It is composed of three parts:

  * FlightCrew, the validation library
  * FlightCrew-cli, the command-line front-end to the FlightCrew library
  * FlightCrew-gui, the GUI front-end to the FlightCrew library
  * FlightCrew-plugin, the plugin to the FlightCrew library

It was initially created for Sigil, the epub editor.

%package	common
Summary:	A C++, cross-platform, native code epub validator
Group:		Office/Utilities

%description	common
FlightCrew is a C++, cross-platform, native code epub validator.
It is composed of three parts:

  * FlightCrew, the validation library
  * FlightCrew-cli, the command-line front-end to the FlightCrew library
  * FlightCrew-gui, the GUI front-end to the FlightCrew library
  * FlightCrew-plugin, the plugin to the FlightCrew library

It was initially created for Sigil, the epub editor.

%package	cli
Summary:	command line tool for FlightCrew
Group:		Office/Utilities
Requires:	%{name}-common = %{version}-%{release}

%description	cli
FlightCrew is a C++, cross-platform, native code epub validator.
This package contains the command line tool for FlightCrew.

%package	gui
Summary:	Qt5 graphical front-end for FlightCrew
Group:		Office/Utilities
Requires:	%{name}-cli = %{version}-%{release}
Provides:	flightcrew

%description	gui
FlightCrew is a C++, cross-platform, native code epub validator.
This package contains the Qt5 graphical front-end for FlightCrew.

%package	plugin
Summary:	Plugin for FlightCrew
Group:		Office/Utilities
Requires:	%{name}-common = %{version}-%{release}

%description	plugin
FlightCrew is a C++, cross-platform, native code epub validator.
This package contains the plugin for FlightCrew.

%package -n	%{libname}
Summary:	Shared libs for %{name}
Group:		System/Libraries

%description -n	%{libname}
Shared libs for %{name}.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

Obsoletes:	flightcrew-devel < 0.7.2-18

%description -n	%{devname}
Development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%cmake \
	-DBUILD_SHARED_FC=ON \
	-DBUILD_SHARED_XE=ON \
	-DNO_TEST_EXE=ON \
	-DBUILD_SHARED_ZI=ON
%cmake_build

%install
%cmake_install

%files common
%doc ChangeLog.txt COPYING*.txt README.txt

%files cli
%{_bindir}/%{name}-cli

%files gui
%{_bindir}/%{name}-gui

%files plugin
%{_bindir}/%{name}-plugin

%files -n %{libname}
%{_libdir}/lib*.so.%{api}

%files -n %{devname}
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/cmake/*
%exclude %{_includedir}/zipios/
%exclude %{_libdir}/libzipios.so


%changelog
* Sat Dec 24 2022 wally <wally> 0.9.0-23.mga9
+ Revision: 1926467
- rebuild for boost 1.81.0

* Sun Jul 03 2022 wally <wally> 0.9.0-22.mga9
+ Revision: 1867245
- rebuild for boost 1.79.0

* Sun Apr 03 2022 umeabot <umeabot> 0.9.0-21.mga9
+ Revision: 1842774
- Mageia 9 Mass Rebuild

* Sun Dec 19 2021 wally <wally> 0.9.0-20.mga9
+ Revision: 1762626
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 0.9.0-19.mga9
+ Revision: 1744636
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 0.9.0-18.mga9
+ Revision: 1723088
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 0.9.0-17.mga8
+ Revision: 1666753
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 0.9.0-16.mga8
+ Revision: 1661995
- rebuild for boost 1.74.0

* Wed Dec 16 2020 umeabot <umeabot> 0.9.0-15.mga8
+ Revision: 1658447
- Rebuild for new Qt5

* Sun May 03 2020 wally <wally> 0.9.0-14.mga8
+ Revision: 1578049
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 0.9.0-13.mga8
+ Revision: 1544681
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 0.9.0-12.mga8
+ Revision: 1483363
- rebuild for boost 1.72.0
- build with new cmake macros

* Tue Dec 17 2019 ns80 <ns80> 0.9.0-11.mga8
+ Revision: 1468594
- add upstream patches for CVE-2019-13032 and CVE-2019-13241 (mga#25281)

* Sat Mar 30 2019 umeabot <umeabot> 0.9.0-10.mga7
+ Revision: 1381718
- Qt5 Rebuild

* Tue Oct 16 2018 wally <wally> 0.9.0-9.mga7
+ Revision: 1321031
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 0.9.0-8.mga7
+ Revision: 1297724
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 daviddavid <daviddavid> 0.9.0-7.mga7
+ Revision: 1252466
- rebuild for new xerces-c 3.2.1

* Wed Jun 06 2018 daviddavid <daviddavid> 0.9.0-6.mga7
+ Revision: 1234913
- add patch to fix build with new Qt5 >= 5.11.0

* Mon Dec 25 2017 wally <wally> 0.9.0-5.mga7
+ Revision: 1184666
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 0.9.0-4.mga7
+ Revision: 1178094
- rebuild for boost 1.65

* Sun Sep 24 2017 daviddavid <daviddavid> 0.9.0-3.mga7
+ Revision: 1158424
- rebuild for new boost 1.64.0

* Sat Dec 26 2015 daviddavid <daviddavid> 0.9.0-2.mga6
+ Revision: 915170
- rebuild for new boost 1.60.0

* Wed Nov 18 2015 daviddavid <daviddavid> 0.9.0-1.mga6
+ Revision: 904021
- new version: 0.9.0
- switch build to Qt5
- add plugin subpackage (for Sigil)
- merge all patches into a single patch
- update URL and Source URL
- libify devel subpackage
- update License
- improve description
- remove unneeded zipios development files

* Fri Sep 25 2015 daviddavid <daviddavid> 0.7.2-17.mga6
+ Revision: 883453
- rebuild for new boost-1.59.0

* Wed Aug 26 2015 daviddavid <daviddavid> 0.7.2-16.mga6
+ Revision: 869554
- rebuild for new gcc 5.2.1

* Sun Aug 02 2015 daviddavid <daviddavid> 0.7.2-15.mga6
+ Revision: 860527
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-14.mga5
+ Revision: 740978
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.2-13.mga5
+ Revision: 679235
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 barjac <barjac> 0.7.2-12.mga5
+ Revision: 586461
- rebuild against boost-1.55

* Sat Oct 19 2013 umeabot <umeabot> 0.7.2-11.mga4
+ Revision: 529410
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 0.7.2-10.mga4
+ Revision: 451786
- rebuild for new boost

* Mon Jun 24 2013 fwang <fwang> 0.7.2-9.mga4
+ Revision: 446216
- build shared zi

* Mon Jun 24 2013 fwang <fwang> 0.7.2-8.mga4
+ Revision: 446212
- update file list
- build shared libs
- sync with fedora patches

* Mon Jun 24 2013 fwang <fwang> 0.7.2-7.mga4
+ Revision: 446205
- linkage fix
- build shared lib

* Wed Apr 10 2013 malo <malo> 0.7.2-6.mga3
+ Revision: 409449
- rebuild for boost 1.53

* Fri Jan 11 2013 umeabot <umeabot> 0.7.2-5.mga3
+ Revision: 350540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Office/Other -> Office/Utilities

* Thu Dec 20 2012 fwang <fwang> 0.7.2-4.mga3
+ Revision: 333033
- update rpm group
- rebuild for new boost

* Thu Aug 02 2012 fwang <fwang> 0.7.2-3.mga3
+ Revision: 277822
- more system-libs and link fixes
- more patch
- fix if switch
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 0.7.2-2.mga3
+ Revision: 250099
- correct link against boost_system lib
- fix linkage
- rebuild for new boost

* Mon Nov 28 2011 fwang <fwang> 0.7.2-1.mga2
+ Revision: 173674
- new version 0.7.2

* Mon Nov 28 2011 fwang <fwang> 0.7.1-4.mga2
+ Revision: 173561
- rebuild for new boost
- disable check
- use cmake macro to detect boost
- rebuild for new boost
+ dmorgan <dmorgan>
- Rebuild against new boost

* Thu Jan 27 2011 ahmad <ahmad> 0.7.1-1.mga1
+ Revision: 42009
- imported package flightcrew

